﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using System.IO;
using System.Diagnostics;

namespace esl
{
    class SignatureImageExtraction
    {
        public static void main()
        {
            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            DownloadedFile senderImage = eslClient.SignatureImageService.GetSignatureImageForSender("rNs5hVUQ0mQY", SignatureImageFormat.PNG);
            byte[] senderImageByte = senderImage.Contents;  

            try
            {
                File.WriteAllBytes("C:/Users/hhaidary/Desktop/senderImage.png", senderImageByte);
            }
            catch(Exception e)
            {
                Debug.WriteLine(e);
            }

            PackageId packageId = new PackageId("IP-lS6_GYWlKr4moDNWMEWJOuJc=");

            DownloadedFile signerImage = eslClient.SignatureImageService.GetSignatureImageForPackageRole(packageId, "signer1", SignatureImageFormat.JPG);
            byte[] signerImageByte = senderImage.Contents;

            try
            {
                File.WriteAllBytes("C:/Users/hhaidary/Desktop/signerImage.png", signerImageByte);
            }
            catch (Exception e)
            {
                Debug.WriteLine(e);
            }
        }
    }
}
